<?php 
/**
 * The template for displaying page Privacy Policy
 *
 * @package www.ocimscripts.com
 * @subpackage tmdbtwo
 * @since TMDB Two 1.0
 */
$hack_title = 'Privacy Policy';
$hack_description = "If you require any more information or have any questions about our privacy policy, please feel free to contact us by email at info@$hostname";
get_header();?>
<body>

 
<div class="header-pad"></div>
<div class="csrf-token">
    <input id="csrf-token-rating" name="csrf_token" value="b95c4f2a874fcff68fa907701c8b54eb" type="hidden"></div>
<div id="main" class="page-detail">
    <div class="container">
    
        <div class="pad"></div>
        <div class="pad"></div>
        <div class="main-content main-detail">
            <div id="bread">
                <ol class="breadcrumb">
                    <li><a href="/">Home</a></li>
                    <li class="active">Privacy Policy</li>
                </ol>
            </div>
            <div class="infopage">
                <div class="infopage-head">Privacy Policy</div>
                <div class="content">
 


<p>We recognize that your privacy is important. This document outlines the types of personal information we receive and collect when you use  <?php echo site_path() ?>, as well as some of the steps we take to safeguard information. We hope this will help you make an informed decision about sharing personal information with us.  <?php echo site_path() ?> to maintain the highest standards of decency, fairness and integrity in all our operations. Likewise, we are dedicated to protecting our customers', consumers' and online visitors' privacy on our website.</p>

<p><b>Personal Information</b></p>

<p> <?php echo site_path() ?> collects personally identifiable information from the visitors to our website only on a voluntary basis. Personal information collected on a voluntary basis may include name, postal address, email address, company name and telephone number.</p>

<p>This information is collected if you request information from us, participate in a contest or sweepstakes, and sign up to join our email list or request some other service or information from us. The information collected is internally reviewed, used to improve the content of our website, notify our visitors of updates, and respond to visitor inquiries.</p>

<p>Once information is reviewed, it is discarded or stored in our files. If we make material changes in the collection of personally identifiable information we will inform you by placing a notice on our site. Personal information received from any visitor will be used only for internal purposes and will not be sold or provided to third parties.</p>

<p><b>Use of Cookies and Web Beacons</b></p>

<p>We may use cookies to help you personalize your online experience. Cookies are identifiers that are transferred to your computer's hard drive through your Web browser to enable our systems to recognize your browser. The purpose of a cookie is to tell the Web server that you have returned to a specific page. For example, if you personalize the sites pages, or register with any of our site's services, a cookie enables  <?php echo site_path() ?> to recall your specific information on subsequent visits.</p>

<p>You have the ability to accept or decline cookies by modifying your Web browser; however, if you choose to decline cookies, you may not be able to fully experience the interactive features of the site. A web beacon is a transparent image file used to monitor your journey around a single website or collection of sites. They are also referred to as web bugs and are commonly used by sites that hire third-party services to monitor traffic. They may be used in association with cookies to understand how visitors interact with the pages and content on the pages of a web site.</p>

<p>We may serve third-party advertisements that use cookies and web beacons in the course of ads being served on our web site to ascertain how many times you've seen an advertisement. No personally identifiable information you give us is provided to them for cookie or web beacon use, so they cannot personally identify you with that information on our web site.</p>

<p>Some third-party advertisements may be provided by Google, which uses cookies to serve ads on this site. Google uses the DART cookie, which enables it to serve ads to our users based on their visits to this site and other sites on the Web. You may opt out of the use of the DART cookie by visiting the Google ad and content network privacy policy.</p>

<p>Browsers can be set to accept or reject cookies or notify you when a cookie is being sent. Privacy software can be used to override web beacons. Taking either of these actions shouldn't cause a problem with our site, should you so choose.</p>

<p><b>Children's Online Privacy Protection Act</b></p>

<p>This website is directed to adults; it is not directed to children under the age of 13. We operate our site in compliance with the Children's Online Privacy Protection Act, and will not knowingly collect or use personal information from anyone under 13 years of age.</p>

<p><b>Non-Personal Information</b></p>

<p>In some cases, we may collect information about you that is not personally identifiable. We use this information, which does not identify individual users, to analyze trends, to administer the site, to track users' movements around the site and to gather demographic information about our user base as a whole. The information collected is used solely for internal review and not shared with other organizations for commercial purposes.</p>

<p><b>Release of Information</b></p>

<p>If  <?php echo site_path() ?> is sold, the information we have obtained from you through your voluntary participation in our site may transfer to the new owner as a part of the sale in order that the service being provided to you may continue. In that event, you will receive notice through our website of that change in control and practices, and we will make reasonable efforts to ensure that the purchaser honors any opt-out requests you might make of us.</p>

<p>How You Can Correct or Remove Information</b></p>

<p>We provide this privacy policy as a statement to you of our commitment to protect your personal information. If you have submitted personal information through our website and would like that information deleted from our records or would like to update or correct that information, please use our contact form</p>

<p><b>Updates and Effective Date</b></p>

<p> <?php echo site_path() ?> reserves the right to make changes in this policy. If there is a material change in our privacy practices, we will indicate on our site that our privacy practices have changed and provide a link to the new privacy policy. We encourage you to periodically review this policy so that you will know what information we collect and how we use it.</p>

<p><b>Agreeing to Terms</b></p>

<p>If you do not agree to  <?php echo site_path() ?> Privacy Policy as posted here on this website, please do not use this site or any services offered by this site.</p>

<p>Your use of this site indicates acceptance of this privacy policy.</p>

<p><b>DISCLAIMER</b></p>

<p> <?php echo site_path() ?> provides this website as a service. While the information contained within the site is periodically updated, no guarantee is given that the information provided in this website is correct, complete, and/or up-to- date.</p>

<p>The materials contained on this website are provided for general information purposes only.  <?php echo site_path() ?> does not accept any responsibility for any loss which may arise from reliance on information contained on this site.</p>

<p>Permission is given for the downloading and temporary storage of one or more of these pages for the purpose of viewing on a personal computer. The contents of this site are protected by copyright under international conventions and, apart from the permission stated, the reproduction, permanent storage, or retransmission of the contents of this site is prohibited without the prior written consent of  <?php echo site_path() ?>.</p>

<p>Some links within this website may lead to other websites, including those operated and maintained by third parties.  <?php echo site_path() ?> includes these links solely as a convenience to you, and the presence of such a link does not imply a responsibility for the linked site or an endorsement of the linked site, its operator, or its contents (exceptions may apply).</p>

<p>This website and its contents are provided 'AS IS' without warranty of any kind, either express or implied, including, but not limited to, the implied warranties of merchantability, fitness for a particular purpose, or non-infringement.</p>

<p>Reproduction, distribution, republication, and/or retransmission of material contained within this website are prohibited unless the prior written permission of  <?php echo site_path() ?> has been obtained. provides this website as a service. While the information contained within the site is periodically updated, no guarantee is given that the information provided in this website is correct, complete, and/or up-to- date.</p>

<p>The materials contained on this website are provided for general information purposes only.  <?php echo site_path() ?> does not accept any responsibility for any loss which may arise from reliance on information contained on this site.</p>

<p>Permission is given for the downloading and temporary storage of one or more of these pages for the purpose of viewing on a personal computer. The contents of this site are protected by copyright under international conventions and, apart from the permission stated, the reproduction, permanent storage, or retransmission of the contents of this site is prohibited without the prior written consent of  <?php echo site_path() ?>.</p>

<p>Some links within this website may lead to other websites, including those operated and maintained by third parties.  <?php echo site_path() ?> includes these links solely as a convenience to you, and the presence of such a link does not imply a responsibility for the linked site or an endorsement of the linked site, its operator, or its contents (exceptions may apply).</p>

<p>This website and its contents are provided “AS IS” without warranty of any kind, either express or implied, including, but not limited to, the implied warranties of merchantability, fitness for a particular purpose, or non-infringement.</p>

<p>Reproduction, distribution, republication, and/or retransmission of material contained within this website are prohibited unless the prior written permission of  <?php echo site_path() ?> has been obtained.</p>

                </div>
            </div>
        </div>
 
 </div>
        </div>

<?php get_footer(); ?>